Bug 1472384 - Some container resources not cleaned up after removal from Openshift - research
Some container resources not cleaned up after removal from Openshift - research
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.7.4
Assigned To: zakiva
Jaroslav Henner
container
: ZStream
Depends On: 1436132
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 11:24 EDT by Satoe Imaishi
Modified: 2017-12-18 15:27 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1436132
Environment:
Last Closed: 2017-12-18 15:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Comment 1 Jaroslav Henner 2017-10-05 10:22:47 EDT
I am not sure how to verify this bug.

I verified #1472383. Am I supposed to delete each kind of object(entity) and check it disappeared? What is the list of objects(entities) kinds I should be checking? I am asking as I wouldn't call Labels and object(entity) but an attribute of it.
Comment 2 zakiva 2017-10-18 05:20:21 EDT
(In reply to Jaroslav Henner from comment #1)
> I am not sure how to verify this bug.
> 
> I verified #1472383. Am I supposed to delete each kind of object(entity) and
> check it disappeared? What is the list of objects(entities) kinds I should
> be checking? I am asking as I wouldn't call Labels and object(entity) but an
> attribute of it.

Hi Jaroslav, 

I wouldn't say that you need to delete each kind of object. 
The focus of this BZ should be children of "main" objects. AS you mentioned, labels are not stand alone objects on openshift and thus are a good test case for this BZ. So, you should be testing similar cases such as labels of objects (almost all of our objects has labels), template parameters, quota/limit items,  service ports and so on. I don't think you have to cover ALL of the options, as the behavior should be the same. 
The verification steps should be the same as in 1472383: 
create an object with some "attributes", e.g. a template with specific parameters, refresh on cfme, then edit/delete the template parameters on openshift and refresh again on cfme to see the changes.
Comment 3 Jaroslav Henner 2017-10-26 07:25:11 EDT
I tried adding params to template and label to node. They appeared in the CFME after refresh.
Comment 6 errata-xmlrpc 2017-12-18 15:27:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.